#PWM to PPM & SBUS converter
## originated from buzz's 8 channel PWM to PPM converter for RC use

With sbus code from https://www.rcgroups.com/forums/showthread.php?2420473-Arduino-S-BUS-Packet-Generator-Code

# start with:
* an Arduino with a Atmega328 or 328p chip on it. 
* IDE to program the chip with this code.

How:?
* Used Arduino IDE to program this firmware onto the Arduino chip.
* Connect upto 8 RC PWM input signals so that the wires go to:
     red = 5v
     black = GND or 0V pin on arduino
     white = PWM signal pins, these connect to 
     D2,D3,D4,D5,D6,D7,D8,D9 
	
* Uncomment the Mapping base on your receiver

//2, 3, 4, 5, 6, 7, 0, 1 //AETR5678
//3, 2, 4, 5, 6, 7, 0, 1 //EATR5678
//4, 2, 3, 5, 6, 7, 0, 1 //TAER5678
//6, 0, 1, 7, 5, 4, 2, 3 //Default


* Connect the PPM output so that the wires go to:
     red = 5v
     black = GND or 0V
     PPM out = D10 


* Connect the SBUS output so that the wires go to:
     red = 5v
     black = GND or 0V
     SBUS= TX 

* Note : some Flight Controlers would require an inverter circuit for Sbus to work correctly 

* set the RC reciver Port to Sbus and the respecting Mapping of the receiver Channels 


Done! 

TIPS:  
* any channel that you don't connect a PWM input on, will emit a default value ( which is 1500 for all channels excpt throttle, which is 1100.

* disconnecting any channel after booting will cause the system to use the last-known-position of the input, until a good signal returns.

* having pin PC3 (Arduino A3) pulled high on startup produces human readable serial 115200,8n1 output of the channel data instead of sbus

* This is not a "failsafe" unit, has no failsafe functionality. Failsafe would depend on your Transmitter and Receiver. (set one reserve channel for failsafe or Cut throttle)

* use this code under your discretion ensure you have multiple failsafe in place 